package com.eactive.eai.transformer.message;

public class InvalidDataTypeException extends MessageException {
	private static final long serialVersionUID = -1323772822936302942L;
	private final Object data;

    public InvalidDataTypeException(String message, Object data) {
        this(message, data, null);
    }

    public InvalidDataTypeException(String message, Object data, Throwable cause) {
        super(message, cause);
        this.data = data;
    }

    public Object getData() {
        return data;
    }
}
